
Name:           safestringlib
Version:        1.2.020240520^fd159bf
Release:        %autorelease
Summary:        routines for safe string operations
License:        MIT
URL:            https://github.com/intel/safestringlib
Source0:     https://github.com/intel/safestringlib/archive/refs/heads/master.zip
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires: ninja-build


%description
This library includes routines for safe string operations (like strcpy)
and memory routines (like memcpy) that are recommended
for Linux/Android operating systems, and will also work for Windows.
This library is especially useful for cross-platform situations where
one library for these routines is preferred.


%prep
%autosetup -n safestringlib-master

%build

%cmake -G Ninja
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%{_includedir}/
%{_datadir}/safestring
%{_prefix}/lib/libsafestring*


%changelog
%autochangelog
